<template>
  <button>
    <i class="material-icons md-48" :class="colorStyle">{{ name }}</i>
  </button>
</template>
<script lang="ts">
import { defineComponent, PropType } from "vue";

type ColorStyle = "simple" | "accent" | "reverse";

export default defineComponent({
  name: "LikeButton",
  props: {
    name: String,
    colorStyle: Object as PropType<ColorStyle>,
  },
});
</script>
<style scoped>
button {
  border: none;
  outline: none;
  background: none;
  cursor: pointer;
}
.md-48 {
  font-size: 48px;
}
.simple {
  color: var(--bg-color-dark);
}
.simple:active {
  color: var(--bg-active-color-dark);
  transition: 0.2s;
}
.accent {
  color: var(--accent-color-dark);
}
.accent:active {
  color: var(--accent-active-color-dark);
  transition: 0.2s;
}
.reverse {
  color: var(--reverse-color);
}
.reverse:active {
  color: var(--reverse-active-color);
  transition: 0.2s;
}
</style>
